-module(echo).
-export([start/0]).

start() ->
    Pid = spawn(fun() -> loop(42) end),
    Pid ! {self(), hello},
    io:format("Sent hello.~n",[]).

loop(Number) ->
    receive
	{From, Msg} -> 
	    From ! {self(), Number},
	    io:format("Received ~p, N: ~p~n", [Msg, Number]),
	    loop(Number+1);
	stop ->
	    true
    end.
